Subject: bug#2332 closed by Jason Rumney <[email-masked]> (Re: bug#2332: Subject: 23.0.60; char-to-string crashes emacs)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 04 Mar 2009 13:30:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#2332: Subject: 23.0.60; char-to-string crashes emacs

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
2332: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2332
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2332: Subject: 23.0.60; char-to-string crashes emacs
From: Jason Rumney <[email-masked]>
To: MON KEY <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Mar 2009 21:20:23 +0800

MON KEY wrote:
> Jason,
>
> Not sure what you want to hear back but this emacs doesn't fall over.
>
> ; (insert (format "\nthis is what I get %s <--" (char-to-string 3008)))
> this is what I get ீ <--
>
> I've attached a screen shot for your viewing pleasure.
>
> Best,
> Stan
>   
Thank you for confirming that Emacs no longer crashes, and appears to be 
inserting the correct character.

Subject: Subject: 23.0.60; char-to-string crashes emacs
From: MON KEY <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 14 Feb 2009 17:16:42 -0500

Evaluating following form:
(char-to-string 3008)
Caused emacs to hang

---------------------
In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-10-23 on LENNART-69DE564 (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  display-time-mode: t
  auto-image-file-mode: t
  server-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  noticeable-minibuffer-prompts-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t